class LinkXliffDialog extends DialogBox
{
	Box(ActiveGuiTab)
	{
		global LinkXliffDialogXtRadio, LinkXliffDialogX2vRadio
		static Text1, Text3
		
		XtXliffSet := IsObject(Input.Xt)
		X2vXliffSet := IsObject(Input.X2v)
		DisableLinkChoice := (XtXliffSet or X2vXliffSet) ? "" : " Disabled"
		DisableRadio1 := (XtXliffSet) ? "" : " Disabled"
		DisableRadio2 := (X2vXliffSet) ? "" : " Disabled"
		CheckRadio1 := ((ActiveGuiTab = 1 and XtXliffSet) or (XtXliffSet and (not X2vXliffSet or ActiveGuiTab = 3))) ? " Checked" : ""
		CheckRadio2 := ((ActiveGuiTab = 2 and X2vXliffSet) or (X2vXliffSet and not XtXliffSet)) ? " Checked" : ""
		
		this.InitGui(Txt.Get("LinkXliffDialogTitle"))
		Gui, Add, Text, % "x" this.MainPaddingLeft " y" this.MainPaddingTopBottom " vText1"
			, % Txt.Get("LinkXliffDialogText1")
		GuiControlGet, ControlPos, Pos, Text1
		this.GuiWidth := ControlPosW
		Gui, Add, Text, % DisableLinkChoice
			, % Txt.Get("LinkXliffDialogText2")
		Gui, Add, Radio, % "vLinkXliffDialogXtRadio" DisableRadio1 CheckRadio1
			, % "" Txt.Get("TabXt") ""
		Gui, Add, Radio, % "vLinkXliffDialogX2vRadio" DisableRadio2 CheckRadio2
			, % "" Txt.Get("TabX2v") ""
		Gui, Add, Text, % "vText3" DisableLinkChoice
			, % Txt.Get("LinkXliffDialogText3")
		GuiControlGet, ControlPos, Pos, Text3
		this.ControlsHeight := ControlPosY + ControlPosH
		Buttons := [{Name: Txt.Get("DialogButtonOK"), Action: this.__Class ".OK", Default: 1}
			, {Name: Txt.Get("DialogButtonCancel"), Action: this.__Class ".Cancel"}]
		this.AddButtonBar(Buttons*)
		GuiControl, Focus, % Txt.Get("DialogButtonOK")
		this.ShowGui()
	}
	
	
	OK()
	{
		global LinkXliffDialogXtRadio, LinkXliffDialogX2vRadio
		GuiControlGet, LinkFromXt,, LinkXliffDialogXtRadio
		GuiControlGet, LinkFromX2v,, LinkXliffDialogX2vRadio
		base.CloseGui()
		Config.XliffLinked := 1
		if (LinkFromXt or LinkFromX2v) {
			T := (LinkFromXt) ? "Xt" : "X2v"
			Adapter.LinkFromXliff(T)
		}
		TrayMenu.XliffLinked := 1
	}
	
	Cancel()
	{
		base.CloseGui()
	}

}
