class SaveIniDialog extends DialogBox
{
	Box()
	{
		global SaveIniComboBox
		this.InitGui(Txt.Get("SaveSettingsDialogTitle"))
		Gui, Add, Text, % "x" this.MainPaddingLeft " y" this.MainPaddingTopBottom " Section"
			, % Txt.Get("SaveSettingsDialogText")
		Gui, Add, ComboBox, w363 vSaveIniComboBox
			, % Config.IniDropDownList
		this.GuiWidth := 350
		GuiControlGet, ControlPos, Pos, SaveIniComboBox
		this.ControlsHeight := ControlPosY + ControlPosH
		Buttons := [{Name: Txt.Get("DialogButtonOK"), Action: this.__Class ".OK", Default: 1}
			, {Name: Txt.Get("DialogButtonCancel"), Action: this.__Class ".Cancel"}]
		this.AddButtonBar(Buttons*)
		this.ShowGui()
	}
	
	OK()
	{
		global SaveIniComboBox
		GuiControlGet, Ini,, SaveIniComboBox
		if Ini {
			base.CloseGui()
			if (Config.SaveIni(Ini)) {
				TrayMenu.EnableLoadIni()
				MsgBox, 8256, % Txt.Get("SaveSettingsDialogDoneMsgBoxTitle")
					, % Txt.Get("SaveSettingsDialogDoneMsgBoxText")
			}
		} else {
			MsgBox, 8208, % Txt.Get("SaveSettingsNoNameMsgBoxTitle")
				, % Txt.Get("SaveSettingsNoNameMsgBoxText")
			return
		}
	}
	
	Cancel()
	{
		base.CloseGui()
	}
}