class LoadIniDialog extends DialogBox
{
	Box()
	{
		global LoadIniDropDown
		this.InitGui(Txt.Get("LoadSettingsDialogTitle"))
		Gui, Add, Text, % "x" this.MainPaddingLeft " y" this.MainPaddingTopBottom " Section"
			, % Txt.Get("LoadSettingsDialogText")
		Gui, Add, DropDownList, w363 vLoadIniDropDown
			, % Config.IniDropDownList
		GuiControl, Choose, LoadIniDropDown, 1
		this.GuiWidth := 350
		GuiControlGet, ControlPos, Pos, LoadIniDropDown
		this.ControlsHeight := ControlPosY + ControlPosH
		Buttons := [{Name: Txt.Get("DialogButtonOK"), Action: this.__Class ".OK", Default: 1}
			, {Name: Txt.Get("DialogButtonCancel"), Action: this.__Class ".Cancel"}]
		this.AddButtonBar(Buttons*)
		this.ShowGui()
	}
	
	OK()
	{
		global LoadIniDropDown
		GuiControlGet, Ini,, LoadIniDropDown
		base.CloseGui()
		if (Config.LoadIni(Ini)) {
			MsgBox, 8256, % Txt.Get("LoadSettingsDialogDoneMsgBoxTitle")
				, % Txt.Get("LoadSettingsDialogDoneMsgBoxText")
		}
	}
	
	Cancel()
	{
		base.CloseGui()
	}
}