<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xlf="urn:oasis:names:tc:xliff:document:1.2"
	xmlns:xf="xl:ffer"
	exclude-result-prefixes="xlf">

	<xsl:template match="/">
		<xf:documents xf:folder="{/xf:collection/@xf:folder}">
			<xsl:apply-templates select="/xf:collection/xlf:xliff"/>
		</xf:documents>
	</xsl:template>

	<xsl:template match="xlf:xliff">
		<xf:document>
			<xsl:copy-of select="@xf:docBaseName | @xf:docPrefix"/>
			<xsl:value-of select="@xf:document"/>
		</xf:document>
	</xsl:template>
</xsl:stylesheet>